Bug 46562 - update-port: sysutils/xcdroast
Summary: update-port: sysutils/xcdroast
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-27 19:40 UTC by Oliver Lehmann
Modified: 2003-01-02 18:38 UTC (History)
1 user (show)

See Also:


Attachments
xcdroast.patch (10.26 KB, patch)
2002-12-27 19:40 UTC, Oliver Lehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann 2002-12-27 19:40:01 UTC
	update the xcdroast port from alpha10 to alpha12.

	please close ports/45809.

	Alpha10, which is actually still in the ports tree, became useless. It
	requires an old version of cdrtools, and it's incompatible with any 
	actuall version of cdrtools.
	I hope this update will go into the repository asap. If that point isn't
	enough for "violating" the ports-freeze-state, please mark the 
	old/alpha10 port as broken.

	Removed patch-files:	patch-Makefile
				patch-io.c
				patch-xcdrdata.h
				patch-xcdroast.h
Comment 1 Oliver Lehmann 2002-12-27 23:26:08 UTC
Hi, please submit the folllowing patch instead of the submitted one.
Miguel Mendez reported that this patch works for him.


diff -ruN sylpheed.old/Makefile /usr/ports/mail/sylpheed/Makefile
--- sylpheed.old/Makefile	Fri Dec 27 23:02:13 2002
+++ /usr/ports/mail/sylpheed/Makefile	Fri Dec 27 23:03:27 2002
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sylpheed
-PORTVERSION=	0.8.6
+PORTVERSION=	0.8.8
 PORTREVISION=	0
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://sylpheed.good-day.net/sylpheed/
@@ -22,7 +22,8 @@
 
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
 		LIBS="-L${LOCALBASE}/lib -L${X11BASE}/lib"
-CONFIGURE_ARGS=	--enable-ipv6 --prefix=${PREFIX} --with-included-gettext
+CONFIGURE_ARGS=	--enable-ipv6 --prefix=${PREFIX} --with-included-gettext \
+		--program-transform-name=''
 
 .include <bsd.port.pre.mk>
 
diff -ruN sylpheed.old/distinfo /usr/ports/mail/sylpheed/distinfo
--- sylpheed.old/distinfo	Fri Dec 27 23:02:13 2002
+++ /usr/ports/mail/sylpheed/distinfo	Fri Dec 27 23:01:42 2002
@@ -1 +1 @@
-MD5 (sylpheed-0.8.6.tar.bz2) = cb01f8397c5a1f4dd50e401424f9527d
+MD5 (sylpheed-0.8.8.tar.bz2) = 95985b7e967938e805ad7583e9d248da
diff -ruN sylpheed.old/pkg-plist /usr/ports/mail/sylpheed/pkg-plist
--- sylpheed.old/pkg-plist	Fri Dec 27 23:02:13 2002
+++ /usr/ports/mail/sylpheed/pkg-plist	Fri Dec 27 23:01:42 2002
@@ -27,6 +27,7 @@
 share/locale/ro/LC_MESSAGES/sylpheed.mo
 share/locale/ru/LC_MESSAGES/sylpheed.mo
 share/locale/sl/LC_MESSAGES/sylpheed.mo
+share/locale/sr/LC_MESSAGES/sylpheed.mo
 share/locale/sv/LC_MESSAGES/sylpheed.mo
 share/locale/tr/LC_MESSAGES/sylpheed.mo
 share/locale/zh_CN/LC_MESSAGES/sylpheed.mo



-- 
Oliver Lehmann, lehmann@ans-netz.de, http://www.pofo.de/
  http://wishlist.pofo.de/
Comment 2 Oliver Lehmann 2002-12-28 12:31:21 UTC
please ignore my last mail - it was the wrong PR number
-- 
Oliver Lehmann, lehmann@ans-netz.de, http://www.pofo.de/
  http://wishlist.pofo.de/
Comment 3 Tilman Keskinoz freebsd_committer 2003-01-02 18:37:40 UTC
State Changed
From-To: open->closed

Superseded by 46697